eID middleware |

# be::portugal::eid::PTEID_SisId Class Reference

Class for the id document on a SIS Card. More...

Inheritance diagram for be::portugal::eid::PTEID_SisId:

List of all members.

## Public Member Functions
override void | Dispose ()
string | getName ()
| Return Name field.
string | getSurname ()
| Return Surname field.
string | getInitials ()
| Return Initials field.
string | getGender ()
| Return Gender field.
string | getDateOfBirth ()
| Return Date Of Birth field.
string | getSocialSecurityNumber ()
| Return Social Security Number field.
string | getLogicalNumber ()
| Return Logical Number field.
string | getDateOfIssue ()
| Return Date Of Issue field.
string | getValidityBeginDate ()
| Return Validity Begin Date field.
string | getValidityEndDate ()
| Return Validity End Date field.

## Detailed Description

Class for the id document on a SIS Card.

You can get such an object from PTEID_SISCard::getID() (or getDocument).

## Member Function Documentation

override void be::portugal::eid::PTEID_SisId::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_XMLDoc.

string be::portugal::eid::PTEID_SisId::getDateOfBirth | ( |  | ) | `[inline]`

Return Date Of Birth field.

string be::portugal::eid::PTEID_SisId::getDateOfIssue | ( |  | ) | `[inline]`

Return Date Of Issue field.

string be::portugal::eid::PTEID_SisId::getGender | ( |  | ) | `[inline]`

Return Gender field.

string be::portugal::eid::PTEID_SisId::getInitials | ( |  | ) | `[inline]`

Return Initials field.

string be::portugal::eid::PTEID_SisId::getLogicalNumber | ( |  | ) | `[inline]`

Return Logical Number field.

string be::portugal::eid::PTEID_SisId::getName | ( |  | ) | `[inline]`

Return Name field.

string be::portugal::eid::PTEID_SisId::getSocialSecurityNumber | ( |  | ) | `[inline]`

Return Social Security Number field.

string be::portugal::eid::PTEID_SisId::getSurname | ( |  | ) | `[inline]`

Return Surname field.

string be::portugal::eid::PTEID_SisId::getValidityBeginDate | ( |  | ) | `[inline]`

Return Validity Begin Date field.

string be::portugal::eid::PTEID_SisId::getValidityEndDate | ( |  | ) | `[inline]`

Return Validity End Date field.